GDB (xrefs)

Public Attributes | List of all members
s390_debug_reg_state Struct Reference

## Public Attributes
VEC_s390_watch_area * | watch_areas
VEC_s390_watch_area * | break_areas

## Detailed Description

Definition at line 477 of file s390-linux-nat.c.

## Member Data Documentation

## ◆ break_areas

VEC_s390_watch_area* s390_debug_reg_state::break_areas

Definition at line 480 of file s390-linux-nat.c.

Referenced by s390_insert_hw_breakpoint(), s390_linux_new_fork(), s390_prepare_to_resume(), and s390_remove_hw_breakpoint().

## ◆ watch_areas

VEC_s390_watch_area* s390_debug_reg_state::watch_areas

Definition at line 479 of file s390-linux-nat.c.

Referenced by s390_insert_watchpoint(), s390_linux_new_fork(), s390_prepare_to_resume(), s390_remove_watchpoint(), and s390_stopped_by_watchpoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/s390-linux-nat.c